/* -----------------------------------------------------------------------------
	GSFramework
	Copyright 2001-2013 Emmanuel Julien. All Rights Reserved.
----------------------------------------------------------------------------- */


#ifndef	__NMTERRAIN__
#define	__NMTERRAIN__


		#include "core/terrain.h"
		#include "scene3d/mitem.h"


namespace GS {
	namespace S3D {

/*!
	@short	Managed terrain.
	@author Emmanuel Julien (ejulien@gsworks.fr)
*/
struct	MTerrain : public MItem, public Core::Terrain
{
static	MItemType		GetMItemClassType() { return Type_Terrain; }

virtual	Core::Item		*GetBaseItem() { return this; }
virtual	Core::Renderable *GetRenderable() { return 0; }

virtual	bool			FromMetaTag(NML::Tag &);
virtual	NML::Tag		*AsMetaTag();

		MTerrain();
};

	} // S3D
} // GS


#endif // __NMTERRAIN__
